extends KinematicBody2D

var movedir = Vector2()
var speed = 2
var collision = false #changes when the player is touching something

func _ready():
	pass # Replace with function body.

func _physics_process(delta):
	direction_loop()
	movement_loop()
	pass

#allows the player to move only if the player is touching something
func direction_loop ():
	if(collision == true): 
		var up = Input.is_action_pressed("ui_up")
		var down = Input.is_action_pressed("ui_down")
		var left = Input.is_action_pressed("ui_left")
		var right = Input.is_action_pressed("ui_right")

		movedir.x = -int(left) + int(right)
		movedir.y = -int(up) + int(down)
	pass

#moves the player and changes the collision variable if the player is touching something
func movement_loop():
	if(move_and_collide(movedir.normalized() * speed) == null):
		collision = false
	else:
		 collision = true
	pass
